Go to index page.

# gifhisto

A program to create histogram of number of pixels using each color. The output can be formatted into a GIF histogram file, or as text file - both go to stdout.

# Usage:

    gifhisto [-q] [-t] [-s Width Height] [-n ImageNumber] [-b] [-h] gif-file

If no gif-file is given, GifHisto will try to read a GIF file from stdin.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Default off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-t]
  Force output to be text file of the following form: (colormap size) lines each containing two integers: number of times color appeared, and color index. Lines are in increasing color index order. This output can be fed directly to a sort program if ordering by color frequency is desired.

  The colrmap picked is the one to be used for the image to generate histogram for, as defined in GIF format.

[-s Width Height]
  Size of GIF histogram file. The Height of the histogram should be power of 2 dividable by number of colors in colormap.

  Width sets the resolution (accuracy if you like) of the histogram as the maximum histogram bar is scaled to fit it.

[-n ImageNumber]
  Image number to test. Default is one.

[-b]
  Zeros the background color count. As only linear scale bars are supported and usually the background appears much more often then other colors, deleting the background count will improve the scaling of other colors.
[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber